# 🌲 Timber - Great Python Logging Made Easy

<p align="center">
  <a href="https://timber.io" target="_blank" align="center">
    <img src="https://res.cloudinary.com/timber/image/upload/v1552328675/banner.jpg" width="900">
  </a>
  <br>
</p>

[![ISC License](https://img.shields.io/badge/license-ISC-ff69b4.svg)](LICENSE.md)
[![Pypi](https://img.shields.io/pypi/v/timber.svg)](https://pypi.python.org/pypi/timber)
[![Python Support](https://img.shields.io/pypi/pyversions/timber.svg)](https://pypi.python.org/pypi/django-analytical)
[![Build Status](https://travis-ci.org/timberio/timber-python.svg?branch=master)](https://travis-ci.org/timberio/timber-python)

[Timber.io](https://timber.io) is a hosted service for aggregating logs across your entire stack -
[any language](https://docs.timber.io/setup/languages),
[any platform](https://docs.timber.io/setup/platforms),
[any data source](https://docs.timber.io/setup/log_forwarders).

Unlike traditional logging tools, Timber integrates with language runtimes to automatically
capture in-app context, turning your text-based logs into rich structured events.
Timber integrates with Python through this library. And Timber's
[rich free-form query tools](https://docs-new.timber.io/usage/live-tailing#query-syntax) and
[real-time tailing](https://docs-new.timber.io/usage/live-tailing), make drilling down into
important stats easier than ever.

---

* **[Features](https://docs.timber.io/setup/languages/python#features)**
* **[Installation](https://docs.timber.io/setup/languages/python#installation)**
* **[Configuration](https://docs.timber.io/setup/languages/python#configuration)**
* **[Usage](https://docs.timber.io/setup/languages/python#usage)**
* **[Guides](https://docs.timber.io/setup/languages/python#guides)**
* **[Integrations](https://docs.timber.io/setup/languages/python/integrations)**
* **[Performance](https://docs.timber.io/setup/languages/python#performance)**

---

<p align="center">
<a href="https://timber.io">Timber</a> &bull;
<a href="https://docs.timber.io">Docs</a> &bull;
<a href="https://timber.io/pricing">Pricing</a> &bull;
<a href="https://timber.io/terms">Security</a> &bull;
<a href="https://timber.io/privacy">Compliance</a>
</p>